com.sun.jna.platform.win32

## Class NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD
    - - com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference

All Implemented Interfaces:
  Structure.ByReference

Enclosing class:
  NTSecApi.LSA_FOREST_TRUST_RECORD

    public static class NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference
    extends NTSecApi.LSA_FOREST_TRUST_RECORD
    implements Structure.ByReference

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD

`NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference, NTSecApi.LSA_FOREST_TRUST_RECORD.UNION`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD

`Flags, ForestTrustType, Time, u`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ByReference()`

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD

`read`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ByReference

    public ByReference()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.